openjpa-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From David Goodenough <david.goodeno...@btconnect.com>
Subject Snapshot 2.0 problem with Eclipse
Date Tue, 30 Dec 2008 12:12:27 GMT
I am just getting started with Maven, and I thought I would take one of
my OpenJPA projects and try out the 2.0 Snapshot with it as it could take
advantage of one or two of the new features.

So I installed the older Maven plugin (the new one does not currently work
properly on Ganymede which I need for other things) and tried to add the
repository as specified on the download site as an additional repository
in the POM.  I used the form based POM editor, and added the name, id
and URL, and sure enough it creates the correct XML in the POM file.

But try when I go back to the dependency tab and type in openjpa to the
search field, all I get are the released versions, and therefore nothing 2.0,
not the snapshot.

I have tried stopping and restarting Eclipse, and even that does not seem
to help.

Is anyone out there using Eclipse and the old maven plugin who might
have some insight into what basic mistake (remember I am a newbie to
Maven and its plugin although I have been using Eclipse for years) I might
be making?

Thanks

David

Mime
View raw message